Page MenuHomePhabricator

[clang-format] NFC Sort names of format token types
ClosedPublic

Authored by sstwcw on Jun 2 2022, 6:00 PM.

Diff Detail

Event Timeline

sstwcw created this revision.Jun 2 2022, 6:00 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 2 2022, 6:00 PM
sstwcw requested review of this revision.Jun 2 2022, 6:00 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 2 2022, 6:00 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
owenpan added inline comments.Jun 2 2022, 7:07 PM
clang/lib/Format/FormatToken.h
39–45

Also use case-insensitive sorting and move them to just below CppCastLParen on line 55.

43–44

Can you swap them back? I think we want case-insensitive sorting.

sstwcw updated this revision to Diff 435760.Jun 9 2022, 6:54 PM

use case-insensitive sorting

sstwcw marked 2 inline comments as done.Jun 9 2022, 6:56 PM
owenpan accepted this revision.Jun 9 2022, 8:29 PM

LGTM

This revision is now accepted and ready to land.Jun 9 2022, 8:29 PM
This revision was landed with ongoing or failed builds.Jun 25 2022, 5:26 AM
This revision was automatically updated to reflect the committed changes.